cdac.medinfo.exception

## Class ValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cdac.medinfo.exception.CCDException
        - - cdac.medinfo.exception.ValidationException

- All Implemented Interfaces:
    java.io.Serializable

      public class ValidationException
      extends CCDException

  This Exception is raised when Validation of given XML file failed.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationException()` Initialized a new object of ParsingException
    `ValidationException(java.lang.String strMessage)` Initialized a new object of CCDException with the specified detail message.
    `ValidationException(java.lang.String strMessage, java.lang.Throwable cause)` Initialized a new object of CCDException with the specified detail message and cause.
    `ValidationException(java.lang.Throwable cause)` This constructor is useful for exceptions that are little more than wrappers for other throwable

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationException

          public ValidationException()

      Initialized a new object of ParsingException

    - #### ValidationException

          public ValidationException(java.lang.String strMessage,
                                     java.lang.Throwable cause)

      Initialized a new object of CCDException with the specified detail message and cause.
      Parameters:
        `strMessage` - the detail message.
        `cause` - the cause (which is saved for later retrieval by the Throwable.getCause() method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### ValidationException

          public ValidationException(java.lang.String strMessage)

      Initialized a new object of CCDException with the specified detail message.
      Parameters:
        `strMessage` - the detail message.

    - #### ValidationException

          public ValidationException(java.lang.Throwable cause)

      This constructor is useful for exceptions that are little more than wrappers for other throwable
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the Throwable.getCause() method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)